package com.staffing.custom.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.staffing.common.annotation.Excel;
import com.staffing.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 员工资金流水对象 st_employee_fund_record
 * 
 * @author staffing
 * @date 2024-08-27
 */
public class StEmployeeFundRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private Long taskId;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 任务时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "任务时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date taskDate;

    /** 员工id */
    @Excel(name = "员工id")
    private Long employeeId;

    /** 名字 */
    @Excel(name = "名字")
    private String employeeName;

    /** 手机 */
    @Excel(name = "手机")
    private String phone;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /** 日结单价 */
    @Excel(name = "日结单价")
    private String dayPrice;

    /** 应发金额 废弃了，realPrice变应发*/
    private String shouldPrice;

    /** 实发金额 */
    @Excel(name = "应发金额")
    private String realPrice;

    /** 发薪方式 */
//    @Excel(name = "发薪方式")
    private String payWayStr;

    private Long payWay;

    /** 发薪账户 */
    @Excel(name = "发薪账户")
    private String payAccount;

    /** 发薪时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发薪时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 发放状态 0未发 1已发  2发放失败 3发放中*/
    private Long payStatus;

    @Excel(name = "发放状态")
    private String payStatusStr;

    //转账订单号
    private String transferNo;

    //查询时赋值
    @Excel(name = "二次核验备注")
    private String remark;

    private StTaskSign stTaskSign;

    public String getTransferNo() {
        return transferNo;
    }

    public void setTransferNo(String transferNo) {
        this.transferNo = transferNo;
    }

    public String getPayWayStr() {
        return payWayStr;
    }

    public void setPayWayStr(String payWayStr) {
        this.payWayStr = payWayStr;
    }

    public StTaskSign getStTaskSign() {
        return stTaskSign;
    }

    public void setStTaskSign(StTaskSign stTaskSign) {
        this.stTaskSign = stTaskSign;
    }

    public String getPayStatusStr() {
        return payStatusStr;
    }

    public void setPayStatusStr(String payStatusStr) {
        this.payStatusStr = payStatusStr;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setTaskName(String taskName) 
    {
        this.taskName = taskName;
    }

    public String getTaskName() 
    {
        return taskName;
    }
    public void setTaskDate(Date taskDate) 
    {
        this.taskDate = taskDate;
    }

    public Date getTaskDate() 
    {
        return taskDate;
    }
    public void setEmployeeId(Long employeeId) 
    {
        this.employeeId = employeeId;
    }

    public Long getEmployeeId() 
    {
        return employeeId;
    }
    public void setEmployeeName(String employeeName) 
    {
        this.employeeName = employeeName;
    }

    public String getEmployeeName() 
    {
        return employeeName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setDayPrice(String dayPrice) 
    {
        this.dayPrice = dayPrice;
    }

    public String getDayPrice() 
    {
        return dayPrice;
    }
    public void setShouldPrice(String shouldPrice) 
    {
        this.shouldPrice = shouldPrice;
    }

    public String getShouldPrice() 
    {
        return shouldPrice;
    }
    public void setRealPrice(String realPrice) 
    {
        this.realPrice = realPrice;
    }

    public String getRealPrice() 
    {
        return realPrice;
    }
    public void setPayWay(Long payWay) 
    {
        this.payWay = payWay;
    }

    public Long getPayWay() 
    {
        return payWay;
    }
    public void setPayAccount(String payAccount)
    {
        this.payAccount = payAccount;
    }

    public String getPayAccount()
    {
        return payAccount;
    }
    public void setPayTime(Date payTime) 
    {
        this.payTime = payTime;
    }

    public Date getPayTime() 
    {
        return payTime;
    }
    public void setPayStatus(Long payStatus) 
    {
        this.payStatus = payStatus;
    }

    public Long getPayStatus() 
    {
        return payStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("taskName", getTaskName())
            .append("taskDate", getTaskDate())
            .append("employeeId", getEmployeeId())
            .append("employeeName", getEmployeeName())
            .append("phone", getPhone())
            .append("idCard", getIdCard())
            .append("dayPrice", getDayPrice())
            .append("shouldPrice", getShouldPrice())
            .append("realPrice", getRealPrice())
            .append("payWay", getPayWay())
            .append("payAccount", getPayAccount())
            .append("payTime", getPayTime())
            .append("updateTime", getUpdateTime())
            .append("payStatus", getPayStatus())
            .toString();
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
